/* BdfServer - Copyright (c) 2020-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.tools.ui;

import fr.exemole.bdfserver.api.ui.MetadataPhraseDef;
import net.mapeadores.util.annotation.Nullable;


/**
 *
 * @author Vincent Calame
 */
public final class MetadataPhraseDefCatalog {

    public final static String LONG_NAME = "long";
    public final static String FICHE_NAME = "fiche";
    public final static String NEWFICHE_NAME = "newfiche";
    public final static String MOTCLE_NAME = "motcle";
    public final static String FICHESTYLE_NAME = "fichestyle";
    public final static MetadataPhraseDef LONG_PHRASEDEF = MetadataPhraseDefBuilder.init(LONG_NAME).setL10nObject("_ label.phrase.long").setSize(60).toMetadataPhraseDef();
    public final static MetadataPhraseDef FICHE_PHRASEDEF = MetadataPhraseDefBuilder.init(FICHE_NAME).setL10nObject("_ label.phrase.fiche").toMetadataPhraseDef();
    public final static MetadataPhraseDef NEWFICHE_PHRASEDEF = MetadataPhraseDefBuilder.init(NEWFICHE_NAME).setL10nObject("_ label.phrase.newfiche").toMetadataPhraseDef();
    public final static MetadataPhraseDef MOTCLE_PHRASEDEF = MetadataPhraseDefBuilder.init(MOTCLE_NAME).setL10nObject("_ label.phrase.motcle").toMetadataPhraseDef();
    public final static MetadataPhraseDef FICHESTYLE_PHRASEDEF = MetadataPhraseDefBuilder.init(FICHESTYLE_NAME).setL10nObject("_ label.phrase.fichestyle").toMetadataPhraseDef();

    private MetadataPhraseDefCatalog() {

    }

    @Nullable
    public static MetadataPhraseDef getMetadataPhraseDef(String name) {
        switch (name) {
            case LONG_NAME:
                return LONG_PHRASEDEF;
            case FICHE_NAME:
                return FICHE_PHRASEDEF;
            case NEWFICHE_NAME:
                return NEWFICHE_PHRASEDEF;
            case MOTCLE_NAME:
                return MOTCLE_PHRASEDEF;
            case FICHESTYLE_NAME:
                return FICHESTYLE_PHRASEDEF;
            default:
                return null;
        }
    }

}
