/* BdfServer_Html - Copyright (c) 2013-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.html.jslib;


/**
 *
 * @author Vincent Calame
 */
public final class MiscJsLibs {

    public final static JsLib HISTORY = JsLibBuilder.init()
            .addJs("bdf/BDF.Ajax.js")
            .addJs("history/History.js")
            .addJs("history/History.Fiche.js")
            .addThirdLib(JsLib.CODEMIRROR)
            .addThirdLib(JsLib.MERGELY)
            .addTemplateFamily("history")
            .toJsLib();
    public final static JsLib IMPORTATION = JsLibBuilder.init()
            .addJs("importation/Importation.js")
            .addJs("importation/Importation.Input.js")
            .addJs("importation/Importation.Overlay.js")
            .addThirdLib(JsLib.JQUERY, "form")
            .addTemplateFamily("pane")
            .addTemplateFamily("importation")
            .toJsLib();
    public final static JsLib MAIN = JsLibBuilder.init()
            .addJs("main/Main.js")
            .addTemplateFamily("main")
            .toJsLib();
    public final static JsLib MEMENTO = JsLibBuilder.init()
            .addJs("bdf/BDF.Ajax.js")
            .addJs("memento/Memento.js")
            .addTemplateFamily("memento")
            .toJsLib();
    public final static JsLib MENU = JsLibBuilder.init()
            .addJs("bdf/BDF.Ajax.js")
            .addJs("menu/Menu.js")
            .addTemplateFamily("menu")
            .toJsLib();
    public final static JsLib PIOCHE = JsLibBuilder.init()
            .addJs("pioche/Pioche.js")
            .addThirdLib(JsLib.JQUERY, "form")
            .addTemplateFamily("pioche")
            .toJsLib();
    public final static JsLib PLANTUML = JsLibBuilder.init()
            .addJs("plantuml/PlantUml.js")
            .toJsLib();
    public final static JsLib RESTORE = JsLibBuilder.init()
            .addJs("bdf/BDF.Ajax.js")
            .addJs("restore/Restore.js")
            .addTemplateFamily("restore")
            .toJsLib();
    public final static JsLib SELECTIONINDEXATION = JsLibBuilder.init()
            .addJs("selectionindexation/SelectionIndexation.js")
            .addTemplateFamily("selectionindexation")
            .toJsLib();
    public final static JsLib TABLEDISPLAY = JsLibBuilder.init()
            .addJs("bdf/BDF.Ajax.js")
            .addJs("tabledisplay/TableDisplay.js")
            .addThirdLib(JsLib.JQUERY, "tablesorter")
            .addTemplateFamily("tabledisplay")
            .toJsLib();


    private MiscJsLibs() {
    }

}
