/* global BDF,Multi,Overlay */

Multi.Overlay = {};

Multi.Overlay.showAuthentification = function (data) {
    var genId = BDF.generateId();
    Overlay.start({
        header: BDF.Loc.escape("_ warning.multi.authentification_required"),
        content: BDF.render("multi:overlay-authentification", {
            genId: genId,
            login: Multi.defaultLogin
        }),
        footer: BDF.render("bdf:overlay-footer", {
            submit: {
                locKey: "_ submit.session.login"
            }}),
        escapeClose: false,
        clickClose: false,
        showClose: false,
        formAttrs: {
            action: BDF.URL,
            method: "GET"
        },
        ajaxForm: {
            dataType: "json",
            data: {
                json: "ping"
            },
            success: function (data, textStatus, jqXHR, $form) {
                var done = BDF.Ajax.checkError(data);
                if (done) {
                     Overlay.end($form);
                }
            }
        },
        afterEnd: function () {
            if (Multi.waitingProcess) {
                Multi.waitingProcess();
                Multi.waitingProcess = null;
            }
        }
    });
};

Multi.Overlay.showCreationForm = function () {
    var genId = BDF.generateId();
    Overlay.start({
        header: BDF.Loc.escape("_ title.multi.newfichotheque"),
        content: BDF.render("multi:overlay-creationform", {
            genId: genId
        }),
        footer: BDF.render("bdf:overlay-footer", {
            submit: {
                locKey: "_ submit.multi.fichothequecreation"
            }}),
        formAttrs: {
            action: BDF.URL,
            method: "POST"
        },
        ajaxForm: {
            dataType: "json",
            success: function (data, textStatus, jqXHR, $form) {
                if (!data.authentified) {
                    Overlay.end($form, function () {
                        Multi.testAuthentification(data)
                    });
                } else if (BDF.Ajax.checkError(data)) {
                    Overlay.end($form, function () {
                        Multi.List.update(data.fichothequeArray, function () {
                            BDF.showCommandMessage(data.commandMessage);
                        });
                    });
                }
            }
        }
    });
};

Multi.Overlay.showDuplicationForm = function (fichothequeName) {
    if (!Multi.fichothequeArray) {
        BDF.log("Multi.fichothequeArray is not initialized");
        return;
    }
    var fichotheque;
    var genId = BDF.generateId();
    for(let i = 0, len = Multi.fichothequeArray.length; i < len; i++) {
        let current = Multi.fichothequeArray[i];
        if (current.name === fichothequeName) {
            fichotheque = current;
            break;
        }
    }
    if ((!fichotheque) || (!fichotheque.init)) {
        return;
    }
    Overlay.start({
        header: BDF.Loc.escape("_ title.multi.duplicatefichotheque"),
        content: BDF.render("multi:overlay-duplicationform", {
            source: fichotheque,
            genId: genId
        }),
        footer: BDF.render("bdf:overlay-footer", {
            submit: {
                locKey: "_ submit.multi.fichothequeduplication"
            }}),
        formAttrs: {
            action: BDF.URL,
            method: "POST"
        },
         ajaxForm: {
            dataType: "json",
            success: function (data, textStatus, jqXHR, $form) {
                if (!data.authentified) {
                    Overlay.end($form, function () {
                        Multi.testAuthentification(data)
                    });
                } else if (BDF.Ajax.checkError(data)) {
                    Overlay.end($form, function () {
                        Multi.List.update(data.fichothequeArray, function () {
                            BDF.showCommandMessage(data.commandMessage);
                        });
                    });
                }
            }
        },
        afterStart: function ($overlayDialog) {
            $overlayDialog.find("input[name='include_subset']").click(function () {
                var id = this.id;
                var $label = $("label[for='" + id + "']");
                var key = this.value;
                var $block = BDF.$({role: "block-items", key: key});
                if (this.checked) {
                    $label.removeClass("multi-ExcludeSubset").addClass("multi-IncludeSubset");
                    $block.show();
                } else {
                    $label.removeClass("multi-IncludeSubset").addClass("multi-ExcludeSubset");
                    $block.hide();
                }
            });
            $overlayDialog.find("input[name='include_items']").click(function () {
                var id = this.id;
                var $label = $("label[for='" + id + "']");
                if (this.checked) {
                    $label.removeClass("multi-ExcludeItems").addClass("multi-IncludeItems").text(BDF.Loc.escape("_ label.multi.includeitems"));
                } else {
                    $label.removeClass("multi-IncludeItems").addClass("multi-ExcludeItems").text(BDF.Loc.escape("_ label.multi.excludeitems"));
                }
            });
        }
    });
};
